OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Cherokee Web Server, ipk problems
Schnoober
post Aug 7 2006, 05:12 AM
Post #1





Group: Members
Posts: 28
Joined: 29-June 06
From: Bermuda
Member No.: 10,274



Hi,
This topic is migrating from here:
http://www.oesf.org/forums/index.php?act=findpost&pid=137520

I've been trying various methods of installing the web server Cherokee (recently included in the feeds) on to my 3200 running OZ 3.5.4.1/Opie. I had started by trying to do it by hand. When the feed files emerged I tried that, but all with precious little luck.

I have run ipkg update, switched feeds to a different mirror, tried downloading the files to my own feed, tried expanding the ipks and remaking them. All without joy.

The file I am using is: 3.5.4.1/feed/upgrades/cherokee_0.5.3-r1_arm.ipk
This is the only file I could find, but it's in "upgrades" so there may be another file but I cannot find it for the life of me.

Is there another file that I have missed, and that is not being picked up by ipkg?


-------------------------------| console listing |--------------------------------
# ipkg install cherokee
Installing cherokee (0.5.4-1) to root...
Nothing to be done
An error ocurred, return value: -1.
Collected errors:
ERROR: Package cherokee (parent cherokee) is not available from any configured src.
Failed to download cherokee. Perhaps you need to run 'ipkg update'?
Go to the top of the page
 
+Quote Post
koen
post Aug 7 2006, 05:17 AM
Post #2





Group: Members
Posts: 1,014
Joined: 4-January 05
From: Enschede, The Netherlands
Member No.: 6,107



With the default feed configuration:

CODE
koen@netbook-pro:~$ su -
Password:
root@netbook-pro:~# ipkg install cherokee
Installing cherokee (0.5.3-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/upgrades/cherokee_0.5.3-r1_arm.ipk
Installing libcherokee-base0 (0.5.3-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/upgrades/libcherokee-base0_0.5.3-r1_arm.ipk
Installing libpcre0 (4.4-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/base/libpcre0_4.4-r1_armv5te.ipk
Installing libcherokee-client0 (0.5.3-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/upgrades/libcherokee-client0_0.5.3-r1_arm.ipk
Installing libcherokee-server0 (0.5.3-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/upgrades/libcherokee-server0_0.5.3-r1_arm.ipk
Configuring cherokee
Configuring libcherokee-base0
Configuring libcherokee-client0
Configuring libcherokee-server0
Configuring libpcre0
Go to the top of the page
 
+Quote Post
lardman
post Aug 7 2006, 05:47 AM
Post #3





Group: Members
Posts: 4,515
Joined: 25-October 03
From: Bath, UK
Member No.: 464



QUOTE
This is the only file I could find, but it's in "upgrades" so there may be another file but I cannot find it for the life of me.


Do you have the upgrades feed available (i.e. is it listed in one of the .conf files in /etc/ipkg/ or in /etc/ipkg.conf)?


Si
Go to the top of the page
 
+Quote Post
Schnoober
post Aug 7 2006, 09:44 AM
Post #4





Group: Members
Posts: 28
Joined: 29-June 06
From: Bermuda
Member No.: 10,274



QUOTE(lardman @ Aug 7 2006, 09:47 AM)
Do you have the upgrades feed available (i.e. is it listed in one of the .conf files in /etc/ipkg/ or in /etc/ipkg.conf)?
*


Thanks for the responses folks.
Lardman, yes, after changing the conf files around to point to different mirrors I reinstated the default .conf, which has the same feed that Koen is using in his install listing above, and ran ipkg update again. No dice.

Koen, how interesting that you can do this and I cannot. I just noticed that the Cherokee version in your listing is different from mine. Wierd.

You: Installing cherokee (0.5.3-r1) to root...
Me: Installing cherokee (0.5.4-1) to root...

That's even when I'm pointing ipkg directly to the file in your listing:
ipkg install http://ewi546.ewi.utwente.nl/mirror/www.op....5.3-r1_arm.ipk

This is very odd.

Thanks again for your time. I'll need to go away and poke at this until I can figure out what's wrong. I certainly seems as though the problem is on my Z. I'll let you know what happens.
Go to the top of the page
 
+Quote Post
zedkatuf2
post Aug 8 2006, 12:30 PM
Post #5





Group: Members
Posts: 155
Joined: 6-March 05
Member No.: 6,578



QUOTE(koen @ Aug 7 2006, 02:17 PM)
With the default feed configuration:

CODE
koen@netbook-pro:~$ su -
Password:
root@netbook-pro:~# ipkg install cherokee
Installing cherokee (0.5.3-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/upgrades/cherokee_0.5.3-r1_arm.ipk
Installing libcherokee-base0 (0.5.3-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/upgrades/libcherokee-base0_0.5.3-r1_arm.ipk
Installing libpcre0 (4.4-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/base/libpcre0_4.4-r1_armv5te.ipk
Installing libcherokee-client0 (0.5.3-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/upgrades/libcherokee-client0_0.5.3-r1_arm.ipk
Installing libcherokee-server0 (0.5.3-r1) to root...
Downloading http://ewi546.ewi.utwente.nl/mirror/www.openzaurus.org/official/unstable/3.5.4.1/feed/upgrades/libcherokee-server0_0.5.3-r1_arm.ipk
Configuring cherokee
Configuring libcherokee-base0
Configuring libcherokee-client0
Configuring libcherokee-server0
Configuring libpcre0

*


I can confirm this works for me too.

Is it possible someone couls compile phpcgi so we can use php/mysql with cherokee>

Then I can make some progress on getting to grips with php at last smile.gif

(My terrier is my main computer now)

zedkatuf2
Go to the top of the page
 
+Quote Post
Schnoober
post Aug 8 2006, 01:46 PM
Post #6





Group: Members
Posts: 28
Joined: 29-June 06
From: Bermuda
Member No.: 10,274



QUOTE(zedkatuf2 @ Aug 8 2006, 04:30 PM)
I can confirm this works for me too.

Is it possible someone couls compile phpcgi so we can use php/mysql with cherokee>

Then I can make some progress on getting to grips with php at last smile.gif

(My terrier is my main computer now)

zedkatuf2
*



That you've already got. [edit] minus the MySQL [/edit]It's already installed on my machine, ready to go.

try: ipkg list | grep php

Incidentally, I can install Ruby too which comes from the same feed as Cherokee, but Cherokee still hates me. I also appear to be the only person in the universe who is unable to make this work. Gee that makes me feel good. blink.gif
Go to the top of the page
 
+Quote Post
zedkatuf2
post Aug 10 2006, 05:00 AM
Post #7





Group: Members
Posts: 155
Joined: 6-March 05
Member No.: 6,578



QUOTE
try ipkg list|grep php


CODE
ipkg list|grep php
apache-1.3.27-php-4.2.3 - 0.1 -
php - 4.3.10-r0 - A server-side, HTML-embedded scripting language. This package provides the CGI.
php-dev - 4.3.10-r0 - A server-side, HTML-embedded scripting language. This package provides the CGI.

...the apache-php thingy no worko on my 3200....it just segfaults.

But anyway, with cherokee running, when I browse a php file, the browser returns:

CODE
200 OK


...this is for a file containing:
CODE
<?php
phpinfo();
?>

...which should return the standard php info page, so something's not right in terms of cherokee parsing php.

The cherokee modules file contains the handlers for php..so no comprendo que pasa sad.gif
Go to the top of the page
 
+Quote Post
Schnoober
post Aug 18 2006, 02:01 PM
Post #8





Group: Members
Posts: 28
Joined: 29-June 06
From: Bermuda
Member No.: 10,274



By way of a wrap up for this thread ...

In the end I gave up in despair and reloaded OZ/Opie from scratch. Immediately everything worked perfectly, though php is still not working with cherokee. Admittedly I have not tried very hard to make it work as yet. In fact, not at all.

It would seem that I had changed some esoteric setting somewhere, but which and where I could not tell you. I naturally insist that I made no foolish changes, and others will smile knowingly and insist that I did. We will never know.

I thank everyone for their efforts to help in this.

zedkatuf2, if I discover the answer to the php thing I'll post it here.
Go to the top of the page
 
+Quote Post
zedkatuf2
post Aug 18 2006, 02:12 PM
Post #9





Group: Members
Posts: 155
Joined: 6-March 05
Member No.: 6,578



QUOTE(Schnoober @ Aug 18 2006, 11:01 PM)
By way of a wrap up for this thread ...

In the end I gave up in despair and reloaded OZ/Opie from scratch. Immediately everything worked perfectly, though php is still not working with cherokee. Admittedly I have not tried very hard to make it work as yet. In fact, not at all.

It would seem that I had changed some esoteric setting somewhere, but which and where I could not tell you. I naturally insist that I made no foolish changes, and others will smile knowingly and insist that I did. We will never know.

I thank everyone for their efforts to help in this.

zedkatuf2, if I discover the answer to the php thing I'll post it here.
*


Thanks Schnoober for replying; I've moved over to using the Sharp ROM for now, as it runs much faster & I've got apache & php working with mysql...maybe I'll come back to OZ at some point, but for now the SharpROM does everything I need.

Cheers,

zedkatuf
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 25th December 2014 - 02:07 AM